Disable or enable DynDNS configuration for a domain

Turn off or on a specific DynDNS configuration for your domain. When you disable a DynDNS configuration, it can no longer update your IP address automatically. This endpoint returns a token and a configuration ID that can be used in subsequent calls to update DNS or retrieve logs.

Domain Services Domains

Context

Where to get IDs / values

Path Parameters

domainId integer · min: 1 required Example: 20985

Unique domain identifier

configId integer · min: 1 required Example: 117

Unique config identifier

Headers

Accept Example
Content-Type Example

Body

required
application/json
enabled boolean required · Example: true

Responses

200
data object required
data.config object required
data.config.created_at string required · Example: 2026-02-10T00:00:00.000Z
data.config.enabled boolean required · Example: true
data.config.hostname string required · Example: example.com
data.config.id integer required · Example: 117
data.config.last_ip string · nullable required · Example: null

Nullable: may be null when not applicable.

data.config.last_update string · nullable required · Example: null

Nullable: may be null when not applicable.

data.config.record_type string required · Example: A
data.config.token string required · Example: YOUR_TOKEN
data.config.update_count integer required · Example: 0
data.config.updated_at string required · Example: 2026-02-10T00:00:00.000Z
data.message string required · Example: DynDNS configuration enabled

Human-readable message.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

PATCH https://cloud.hostup.se/api/domains/{domainId}/dyndns/{configId}
For AI assistants
cURL
curl -X PATCH "https://cloud.hostup.se/api/domains/20985/dyndns/117" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "enabled": true
  }'
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "config": {
      "id": 117,
      "hostname": "example.com",
      "record_type": "A",
      "token": "YOUR_TOKEN",
      "last_ip": null,
      "last_update": null,
      "update_count": 0,
      "enabled": true,
      "created_at": "2026-02-10T00:00:00.000Z",
      "updated_at": "2026-02-10T00:00:00.000Z"
    },
    "message": "DynDNS configuration enabled"
  }
}
Request Body Example 1
{
  "enabled": true
}